Skip to content

get_structured_light_model_paramGetStructuredLightModelParamGetStructuredLightModelParamget_structured_light_model_paramT_get_structured_light_model_param🔗

Short description🔗

get_structured_light_model_paramGetStructuredLightModelParamGetStructuredLightModelParamget_structured_light_model_paramT_get_structured_light_model_param — Query parameters of a structured light model.

Signature🔗

get_structured_light_model_param( structured_light_model StructuredLightModel, attribute.name GenParamName, out attribute.value GenParamValue )void GetStructuredLightModelParam( const HTuple& StructuredLightModel, const HTuple& GenParamName, HTuple* GenParamValue )static void HOperatorSet.GetStructuredLightModelParam( HTuple structuredLightModel, HTuple genParamName, out HTuple genParamValue )def get_structured_light_model_param( structured_light_model: HHandle, gen_param_name: MaybeSequence[str] ) -> Sequence[Union[int, float, str]]

def get_structured_light_model_param_s( structured_light_model: HHandle, gen_param_name: MaybeSequence[str] ) -> Union[int, float, str]Herror T_get_structured_light_model_param( const Htuple StructuredLightModel, const Htuple GenParamName, Htuple* GenParamValue )

HTuple HStructuredLightModel::GetStructuredLightModelParam( const HTuple& GenParamName ) const

HTuple HStructuredLightModel::GetStructuredLightModelParam( const HString& GenParamName ) const

HTuple HStructuredLightModel::GetStructuredLightModelParam( const char* GenParamName ) const

HTuple HStructuredLightModel::GetStructuredLightModelParam( const wchar_t* GenParamName ) const (Windows only)

HTuple HStructuredLightModel.GetStructuredLightModelParam( HTuple genParamName )

HTuple HStructuredLightModel.GetStructuredLightModelParam( string genParamName )

Description🔗

The operator get_structured_light_model_paramGetStructuredLightModelParam is used to query the values of the different parameters of a structured light model (StructuredLightModelstructuredLightModelstructured_light_model). The names of the desired parameters are passed in the parameter GenParamNamegenParamNamegen_param_name, the corresponding values are returned in GenParamValuegenParamValuegen_param_value. It is possible to query multiple parameters with a single call to get_structured_light_model_paramGetStructuredLightModelParam.

All parameters which can be manipulated by set_structured_light_model_paramSetStructuredLightModelParam can be queried. Please refer to the documentation of set_structured_light_model_paramSetStructuredLightModelParam for an explanation of the individual parameters.

The following additional parameter can be queried:

For an explanation of the concept of structured light and its supported applications, see the introduction of chapter Inspection / Structured Light.

Execution information🔗

Execution information
  • Multithreading type: reentrant (runs in parallel with non-exclusive operators).

  • Multithreading scope: global (may be called from any thread).

  • Processed without parallelization.

Parameters🔗

StructuredLightModelstructuredLightModelstructured_light_model (input_control) structured_light_model → (handle)HTuple (HHandle)HStructuredLightModel, HTuple (IntPtr)HHandleHtuple (handle)

Handle of the structured light model.

GenParamNamegenParamNamegen_param_name (input_control) attribute.name(-array) → (string)HTuple (HString)HTuple (string)MaybeSequence[str]Htuple (char*)

Name of the queried model parameter.

Default: 'min_stripe_width'"min_stripe_width"
List of values: 'camera_setup_model', 'derivative_sigma', 'min_gray_difference', 'min_stripe_width', 'normalization', 'pattern_height', 'pattern_orientation', 'pattern_type', 'pattern_width', 'persistence', 'single_stripe_width', 'type'"camera_setup_model", "derivative_sigma", "min_gray_difference", "min_stripe_width", "normalization", "pattern_height", "pattern_orientation", "pattern_type", "pattern_width", "persistence", "single_stripe_width", "type"

GenParamValuegenParamValuegen_param_value (output_control) attribute.value(-array) → (integer / real / string)HTuple (Hlong / double / HString)HTuple (int / long / double / string)Sequence[Union[int, float, str]]Htuple (Hlong / double / char*)

Value of the queried model parameter.

Example🔗

(HDevelop)

* Create the model
create_structured_light_model ('deflectometry', StructuredLightModel)
* Get the default value
get_structured_light_model_param (StructuredLightModel, \
                                  'min_stripe_width', Default)
* Set the value
set_structured_light_model_param (StructuredLightModel, \
                                  'min_stripe_width', 64)
* Get the value
get_structured_light_model_param (StructuredLightModel, 'min_stripe_width', \
                                  MinStripeWidth)
* Generate the patterns to project
gen_structured_light_pattern (PatternImages, StructuredLightModel)
* Decode the camera images
decode_structured_light_pattern (CameraImages, StructuredLightModel)

Result🔗

The operator get_structured_light_model_paramGetStructuredLightModelParam returns the value 2 (H_MSG_TRUE) if the given parameters are valid. Otherwise, an exception will be raised.

Combinations with other operators🔗

Combinations

Possible predecessors

create_structured_light_modelCreateStructuredLightModel

See also

set_structured_light_model_paramSetStructuredLightModelParam

Module🔗

3D Metrology